Recent Changes - Search:

Documents

Download

Building

Support

Wiki Stuff

edit SideBar

Building PTLib on Windows

Main.BuildingPTLib History

Hide minor edits - Show changes to output

Changed line 64 from:
* [[http://www.openldap.org | OpenLDAP]] - Provides support for the LDAP protocol as used by ILS and other network services. OpenLDAP requires OpenSSL to be installed. Detailed build instructions for OpenLDAP can be found here, or you can use use [[http://files.opalvoip.org/bin/openldap-2.1.17_bin.zip | these precompiled binaries]]
to:
* [[http://www.openldap.org | OpenLDAP]] - Provides support for the LDAP protocol as used by ILS and other network services. OpenLDAP requires OpenSSL to be installed. Detailed build instructions for OpenLDAP can be found here, or you can use use [[https://sourceforge.net/projects/openldapwindows/files/ | these precompiled binaries]]
Changed line 68 from:
* [[http://www.libjpeg-turbo.org | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code, and precompiled binaries for Windows [[ http://sourceforge.net/projects/libjpeg-turbo/files/1.3.1/ | are available]]
to:
* [[http://www.libjpeg-turbo.org | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code, and precompiled binaries for Windows [[ https://sourceforge.net/projects/libjpeg-turbo/files/2.0.6/ | are available]]
Added lines 65-66:

* [[https://ffmpeg.zeranoe.com/builds | FFMPEG]] - Provides support for audio/video files.
Changed line 88 from:
'''NOTE:''' the Release version of the MergeSym project must be built "before" building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
to:
'''NOTE:''' the Release version of the MergeSym project must be built *before* building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
Changed line 62 from:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat, and after creating the new x86 platform, make sure it outputs the lib to @@.\..\win32\bin64\$(Configuration)\@@. Both output directory and output lib file need to be changed.
to:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat, and after creating the new x86 platform, make sure it outputs the lib to @@.\..\win32\bin64\$(Configuration)\@@. Note, there are a large number of places this needs to be adjusted.
Changed line 62 from:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat, and after creating the new x86 platform, make sure it outputs the lib to .\..\win32\bin64\$(Configuration)\.
to:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat, and after creating the new x86 platform, make sure it outputs the lib to @@.\..\win32\bin64\$(Configuration)\@@. Both output directory and output lib file need to be changed.
Changed line 62 from:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat so the system can find it easily.
to:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat, and after creating the new x86 platform, make sure it outputs the lib to .\..\win32\bin64\$(Configuration)\.
Changed lines 34-35 from:
Alternatively, you can download and extract the PTLib source code. For the purposes of this document, the directory that contains PTLib will be indicated as ''installdir''\PTLIB
to:
Alternatively, you can download and extract the PTLib source code. For the purposes of this document, the directory that contains PTLib will be indicated as ''installdir''\PTLib
Changed line 62 from:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. We recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site.]]
to:
* [[http://sourceforge.net/projects/expat | Expat]] - Provides support for XML. This library must be available if Voice XML (VXML) and XMPP functions are required. For 32 bit builds, we recommend using a pre-packaged binary such as the ones available from the [[http://sourceforge.net/project/showfiles.php?group_id=10127 | Expat SourceForge site]]. For 64 bit builds you will have to build from source at https://github.com/libexpat/libexpat.git. Clone it to ''installdir''\expat so the system can find it easily.
Added lines 49-52:

There is also @@PTLib_samples_2017.sln@@ which contains the base library and many samples/test applications.

Both 32 and 64 builds are available in the solutions.
Deleted lines 7-8:
# [[#Bison|Install GNU bison]]
# [[#Directories|Configure directories]]
Changed lines 12-13 from:
# [[#WindowsMobile|Notes on Windows Mobile]]
to:
Changed lines 14-15 from:
!!1. Introduction
to:
!!Introduction
Changed lines 21-22 from:
!!2. Prerequisites
to:
!!Prerequisites
Changed lines 40-41 from:
!!4. Open the @@ptlib_2017.sln@@ solution file
to:
!!Open the @@ptlib_2017.sln@@ solution file
Changed lines 51-52 from:
!!5. Install optional packages
to:
!!Install optional packages
Changed lines 69-70 from:
!!8. Build the @@PTLib Static@@ project
to:
!!Build the @@PTLib Static@@ project
Changed lines 78-79 from:
The compiler output will be similar to the below (it will vary depending on options or build environment).
to:
[[#BuildPTLibDLL]]
!!Build the @@PTLib DLL@@ project

Build the @@PTLib DLL@@ project to create a DLL code library containing all of the PTLib code
. 
In Release mode, this will build the @@ptlib.dll@@ file. In Debug mode, this will build the @@ptlibd.dll@@ file.

'''NOTE:''' the Release version of the MergeSym project must be built "before" building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
Changed lines 86-129 from:
       ------ Build started: Project: PTLib, Configuration: Release Win32 ------
        Configuring Build Options
        Located Open LDAP at D:\openldap\
        Located Expat XML at D:\expat\
        Located Speech API at D:\Program Files\Microsoft Speech SDK 5.1\
        Searching C:\
        Searching D:\
        Located Cyrus SASL at D:\cyrus-sasl-2.1.12\
        Located Open SSL at D:\openssl-0.9.7\
        Located DNS Resolver at D:\Program Files\Microsoft Visual Studio .NET 2003\Vc7\PlatformSDK\
        Located IPv6 Support at D:\Program Files\Microsoft Visual Studio .NET 2003\Vc7\PlatformSDK\Include\
        Located QoS Support at D:\Program Files\Microsoft Visual Studio .NET 2003\Vc7\PlatformSDK\Include\
        Searching E:\
        Byte Order set to PLITTLE_ENDIAN
        Semaphore Support enabled
        DNS Resolver enabled
        Cyrus SASL enabled
        Open LDAP enabled
        Open SSL enabled
        Expat XML enabled
        Speech API enabled
        IPv6 Support enabled
        QoS Support enabled
        Simple DirectMedia Layer disabled
        Memory check switch read enabled
        Configuration completed.
        Performing Custom Build Step
        ../common/getdate.y contains 8 shift/reduce conflicts and 18 reduce/reduce conflicts.
        Compiling...
        assert.cxx
        Compiling...
        notifier_ext.cxx
        mail.cxx

            ...lines deleted...

        Generating Code...
        getdate_tab.c
        Creating library...
        Build log was saved at "file://d:\ptlib\Lib\Debug\BuildLog.htm"
        Console - 0 error(s), 1 warning(s)

        ---------------------- Done ----------------------
        Build: 1 succeeded, 0 failed, 0 skipped
to:

    'MergeSym' is not recognized as an internal or external command, operable program or batch file.

Deleted lines 89-101:

[[#BuildPTLibDLL]]
!!9. Build the @@PTLib DLL@@ project

Build the @@PTLib DLL@@ project to create a DLL code library containing all of the PTLib code.
In Release mode, this will build the @@ptlib.dll@@ file. In Debug mode, this will build the @@ptlibd.dll@@ file.

'''NOTE:''' the Release version of the MergeSym project must be built "before" building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
[@

    'MergeSym' is not recognized as an internal or external command, operable program or batch file.

@]
Deleted lines 91-119:
The compiler output will be similar to the below (it will vary depending on options or build environment).

[@
        ------ Build started: Project: MergeSym, Configuration: Release Win32 ------
        Compiling...
        MergeSym.cxx
        Linking...
        Copying symbol merge utility to ptlib/lib directory.
        Build log was saved at "file://d:\ptlib\tools\MergeSym\Release\BuildLog.htm"
        MergeSym - 0 error(s), 0 warning(s)

        ------ Build started: Project: PTLib, Configuration: Release Win32 ------
        Performing Custom Build Step
        MergeSym version 1.4.0 on Windows 2000 by Equivalence
        No changes to symbols.
        Compiling...
        dllmain.cxx
        Compiling resources...
        Linking...
        Creating library .\..\..\..\Lib/PTLib.lib and object .\..\..\..\Lib/PTLib.exp
        Extracting debug symbols
        REBASE: Total Size of mapping 0x00000000000d0000
        REBASE: Range 0x0000000010000000 -0x00000000100d0000
        Build log was saved at "file://d:\ptlib\Lib\Release\BuildLog.htm"
        PTLib - 0 error(s), 0 warning(s)

        ---------------------- Done ----------------------
        Build: 3 succeeded, 0 failed, 0 skipped
@]
Changed line 93 from:
!!10. Tailoring the @@configure@@ search path
to:
!!Tailoring the @@configure@@ search path
Changed lines 43-44 from:
!!4. Open the @@ptlib_2010.sln@@ solution file
to:
!!4. Open the @@ptlib_2017.sln@@ solution file
Deleted lines 52-72:
[[#Bison]]
!!5. Install GNU bison

As of PTLib 2.12.7, bison is no longer required to build the system. However, it is required if you wish to change the date parsing sub-system. Which is unlikely.

For versions prior to PTLib 2.12.7, the latest pre-compiled binaries for [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] should be used, subject to the following caveats:

* Do *NOT* use the default install directory of "C:\Program Files\GnuWin32", or any directory containing spaces, as this will cause problems. Why on earth GNU have a default that does not work is beyond us. We recommend using C:\Tools instead.
* Add the directory C:\Tools\bin to the PATH environment variable before running Visual Studio.

[[#Directories]]
!!6. Configure directories

While not always necessary, it may be useful to add the following directories to environment variables:

* Add ''installdir''\PTLIB\LIB to the PATH environment variable
* Add ''installdir''\PTLIB\INCLUDE to the INCLUDE environment variable
* Add ''installdir''\PTLIB\LIB to the LIB environment variable

The exact location for setting this varies on the version of Windows, but generally is it in Control Panel, System, Advanced system settings, Advanced tab, Environment Variables button.

Changed lines 54-55 from:
!!7. Install optional packages
to:
!!5. Install optional packages
Changed lines 59-60 from:
* [[http://www.openssl.org | OpenSSL]] - Provides support for encryption and authentication. We recommend using a pre-packaged binary distribution such as the one available from [[http://www.slproweb.com/products/Win32OpenSSL.html | Shining Light Productions]]. Note only v1.0.2 is currently supported, do not use v1.1.
to:
* [[http://www.openssl.org | OpenSSL]] - Provides support for encryption and authentication. We recommend using a pre-packaged binary distribution such as the one available from [[http://www.slproweb.com/products/Win32OpenSSL.html | Shining Light Productions]]. Note only v1.0 is currently supported, do not use v1.1.
Deleted lines 64-65:
* [[http://www.libsdl.org | SDL]] -  Provides for support for fast drawing of video into windows. See the [[http://www.libsdl.org | SDL home page]] for more information.
Deleted line 68:
Deleted lines 69-70:

* For Windows 7 and earlier - [[http://www.microsoft.com/downloads/en/details.aspx?FamilyId=F26B1AA4-741A-433A-9BE5-FA919850BDBF&displaylang=en | Microsoft Windows Software Development Kit]] - Provides several features such as IPv6, DNS resolver (for the resolution of DNS MX and SRV records), Direct Show video camera support and text-to-speech functions. There are a number of incompatibility issues with an SDK earlier than version 6.1, it can be made to work, but is really hard and could not be automated. It is much easier just to install the later version. For correct operation, the include and lib directories for the SDK should be added to the the Visual Studio directory configuration, as described above, ''before'' the standard MSVC directories.
Changed lines 35-36 from:
If using Visual Studio 2017, you can use Team Explorer to clone the git repository.
to:
If using Visual Studio 2017, you can use Team Explorer to clone the git repository git://git.code.sf.net/p/opalvoip/ptlib.
Changed lines 43-49 from:
!!4. Open the solution file

If you are using Visual Studio 2013, open the @@ptlib_2013.sln@@ solution file.

If you are using Visual Studio 2012, open the @@ptlib_2012.sln@@ solution file.

If you are using Visual Studio 2010, open the @@ptlib_2010.sln@@ solution file.
to:
!!4. Open the @@ptlib_2010.sln@@ solution file
Changed lines 28-31 from:
* At least Visual Studio 2010 or Visual C++ 2010 Express Edition. Visual Studio 2013 is the current version used by the developers.

* If using SVN download, [[http://tortoisesvn.net/downloads|Tortoise SVN]] is highly recommended
.
to:
* Visual Studio 2017 Express or Professional Editions.
Changed lines 35-37 from:
Download and extract the PTLib source code. For the purposes of this document, the directory that contains PTLib will be indicated as ''installdir''\PTLIB
to:
If using Visual Studio 2017, you can use Team Explorer to clone the git repository.

Alternatively, you can download
and extract the PTLib source code. For the purposes of this document, the directory that contains PTLib will be indicated as ''installdir''\PTLIB
Changed line 86 from:
* [[http://www.openssl.org | OpenSSL]] - Provides support for encryption and authentication. We recommend using a pre-packaged binary distribution such as the one available from [[http://www.slproweb.com/products/Win32OpenSSL.html | Shining Light Productions]]
to:
* [[http://www.openssl.org | OpenSSL]] - Provides support for encryption and authentication. We recommend using a pre-packaged binary distribution such as the one available from [[http://www.slproweb.com/products/Win32OpenSSL.html | Shining Light Productions]]. Note only v1.0.2 is currently supported, do not use v1.1.
Added lines 95-96:

* [[http://luabinaries.sourceforge.net | Lua]] -  Provides for support for using Lua scripting language. These are expected to be in one of several directories, e.g. ..\external\Lua-win32 and ..\external\Lua-win64. The binaries provided here are annoying in that the 32 bit and 64 bit versions are named identically. It is thus difficult to be able to use both on a development machine at the same time as you cannot simply put the DLL in your path. You need to explicitly place the correct one in the PATH via the "Debug/Evironment" Option in Visual Studio.
Changed lines 19-22 from:
This document provides a thorough description of the building PTLib for Visual Studio on Windows.

Support for MSVC 6 and DevStudio 2003 is no longer maintained as they are very old and MSVC 6 in particular contains bugs that cause many problems. While Windows 2000 may work for builds and running executables, it is expected that at least Windows XP would be used and no gurantees are made the future versions
.
to:
This document provides instructions building PTLib with Visual Studio on Windows.

Note that older compilers and operating systems are rarely checked, they may work, they may not
.
Changed lines 28-29 from:
* VS.net 2005, VS.net 2008, Visual C++ 2008 Express Edition, Visual Studio 2010 or Visual C++ 2010 Express Edition.
to:
* At least Visual Studio 2010 or Visual C++ 2010 Express Edition. Visual Studio 2013 is the current version used by the developers.
Changed lines 45-50 from:
If you are using VS.net 2005, open the @@ptlib_2005.sln@@ solution file.

If you are using VS.net 2008, open the @@ptlib_2008.sln@@ solution file.

If you are using VS 2010, open the @@ptlib_2010.sln@@ solution file.
to:
If you are using Visual Studio 2013, open the @@ptlib_2013.sln@@ solution file.

If you are using Visual Studio 2012, open the @@ptlib_2012.sln@@ solution file.

If you are using Visual Studio 2010, open the @@ptlib_2010.sln@@ solution file.
Changed lines 72-82 from:
Once Visual Studio is started, select "Tools" from the "Options" menu, then open the "Projects and Solutions" element in the tree on the left, and finally select the "VC++ Directories" entry. Add the following directories settings:

* Add C:\TOOLS to the Executable directory list
* Add ''installdir''\PTLIB\LIB to the Executable directory list
* Add ''installdir''\PTLIB\INCLUDE to the Include directory list
* Add ''installdir''\PTLIB\LIB to the Library directory list

%center%http://files.opalvoip.org/images/vsnet1.gif

For Visual Studio 2010, you must add ''installdir''\PTLIB\LIB to your environment PATH as the above does not exist any more.
The exact location for setting this varies on the version of Windows, but generally is it in Control Panel, System, Advanced system settings, Advanced tab, Environment Variables button.
to:
While not always necessary, it may be useful to add the following directories to environment variables:

* Add ''installdir''\PTLIB\LIB to
the PATH environment variable
* Add ''installdir''\PTLIB\INCLUDE to
the INCLUDE environment variable
*
Add ''installdir''\PTLIB\LIB to the LIB environment variable

The
exact location for setting this varies on the version of Windows, but generally is it in Control Panel, System, Advanced system settings, Advanced tab, Environment Variables button.
Changed lines 111-112 from:
The compiler output will be similar to the belows (it will vary depending on options or build environment).
to:
The compiler output will be similar to the below (it will vary depending on options or build environment).
Changed line 166 from:
'''NOTE:''' the Release version of the MergeSym project must be built before building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
to:
'''NOTE:''' the Release version of the MergeSym project must be built "before" building @@PTLib DLL@@. Generally this will happen automatically through the solution dependencies, however if this does not occur and you get an error such as:
Changed lines 174-175 from:
The compiler output will be similar to the belows (it will vary depending on options or build environment).
to:
The compiler output will be similar to the below (it will vary depending on options or build environment).
Changed lines 212-243 from:
This problem is solved by setting environment variables to identify paths that should not be searched.

(:table border=1:)
(:cell:)'''Name'''
(:cell:)'''Sample value'''
(:cellnr:)@@VSNET2005_PTLIB_CONFIGURE_EXCLUDE_DIRS@@
(:cell:)C:\Program Files\Microsoft Visual Studio;C:\Program Files\Microsoft Visual Studio .NET 2003
(:cellnr:)@@VSNET2008_PTLIB_CONFIGURE_EXCLUDE_DIRS@@
(:cell:)D:\Program Files\Microsoft Visual Studio .NET 2003;C:\Program Files\Microsoft Visual Studio 8
(:cellnr:)@@VSNET2010_PTLIB_CONFIGURE_EXCLUDE_DIRS@@
(:cell:)D:\Program Files\Microsoft Visual Studio .NET 2003;C:\Program Files\Microsoft Visual Studio 8
(:tableend:)

[[#WindowsMobile]]
!!11. Notes on Windows Mobile

Windows Mobile 5.0 and 6.x are supported via Visual Studio 2005 only.

It is expected that the user knows how to get, and install, the SDK's for Windows Mobile, which is beyond the scope of this document!

When configuring directories as in step 6 above, you have to configure all the different Platform types. You use the same include directories as for Win32, however, for the library directories you should use:

(:table border=1 cellspacing=0 cellpadding=3:)
(:cell:)Windows Mobile 6 Professional
(:cell:)''installdir''\ptlib\lib\wm6pro
(:cellnr:)Windows Mobile 6 Standard
(:cell:)''installdir''\ptlib\lib\wm6pro
(:cellnr:)Windows Mobile 5.0 Pocket PC
(:cell:)''installdir''\ptlib\lib\wm5ppc
(:cellnr:)Windows Mobile 5.0 Smartphone
(:cell:)''installdir''\ptlib\lib\wm5sp
(:tableend:)
to:
This problem is solved by setting environment variable VSNET2010_PTLIB_CONFIGURE_EXCLUDE_DIRS to identify paths that should not be searched.
Changed line 97 from:
* [[http://www.ijg.org/ | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[ http://files.opalvoip.org/bin/jpeg8d_win.zip | are available]]
to:
* [[http://www.libjpeg-turbo.org | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code, and precompiled binaries for Windows [[ http://sourceforge.net/projects/libjpeg-turbo/files/1.3.1/ | are available]]
Changed line 79 from:
%center%http://files.opalvoip.org/images/vsnet1.gif
to:
%center%http://files.opalvoip.org/images/vsnet1.gif
Changed lines 62-63 from:
The GNU Bison tool is required to compile PTLib. The latest pre-compiled binaries for [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] should be used, subject to the following caveats:
to:
As of PTLib 2.12.7, bison is no longer required to build the system. However, it is required if you wish to change the date parsing sub-system. Which is unlikely.

For versions prior to PTLib 2.12.7, the
latest pre-compiled binaries for [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] should be used, subject to the following caveats:
Deleted lines 68-69:
Note: prior to PTLib 2.12.7, a version provided on OPAL site could be used. Due to compatibility issues with versions of bison on other platforms, this no longer can be used.
Changed lines 62-73 from:
The GNU Bison tool is required to compile PTLib. We provide an [[OldBison|older precompiled version]] that is known to work.

The latest precompiled binaries for [[http
://gnuwin32.sourceforge.net/packages/bison.htm|bison]] can be used instead, subject to the following caveats:

* Do *NOT* use the default install directory of "C:\Program Files (x86)\GnuWin32" (or any directory containing spaces) as this will cause problems
. We recommend using C:\Tools instead
* Add
the directory C:\Tools\bin to the PATH environment variable before running Visual Studio

GNU flex is not required by most users
. It is only necessary to recompile the "asnparser" utility for modifying the ASN files supplied with OPAL.
An older version of Flex is provide with the Bison download described above
.

The latest [[http://gnuwin32.sourceforge.net/packages/flex.htm|flex]] can be used instead, subject to same bison caveats described above.

to:
The GNU Bison tool is required to compile PTLib. The latest pre-compiled binaries for [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] should be used, subject to the following caveats:

* Do *NOT* use the default install directory of "C
:\Program Files\GnuWin32", or any directory containing spaces, as this will cause problems. Why on earth GNU have a default that does not work is beyond us. We recommend using C:\Tools instead.
* Add the directory C:\Tools\bin to the PATH environment variable before running Visual Studio.

Note: prior to PTLib 2
.12.7, a version provided on OPAL site could be used. Due to compatibility issues with versions of bison on other platforms, this no longer can be used.
March 02, 2013, at 11:45 PM by CRS - Fix filename
Changed lines 102-104 from:
* [[http://www.ijg.org/ | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[ http://files.opalvoip.org/bin/jpeg8g_win.zip | are available]]

to:
* [[http://www.ijg.org/ | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[ http://files.opalvoip.org/bin/jpeg8d_win.zip | are available]]

March 02, 2013, at 02:50 AM by CRS - Fix link
Changed lines 102-104 from:
* [[http://www.libsdl.org | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[/bin/jpeg8g_win.zip | are available]]

to:
* [[http://www.ijg.org/ | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[ http://files.opalvoip.org/bin/jpeg8g_win.zip | are available]]

March 02, 2013, at 02:48 AM by CRS - Add link to precompiled libjpeg
Changed lines 98-99 from:
* [[http://www.openldap.org | OpenLDAP]] - Provides support for the LDAP protocol as used by ILS and other network services. OpenLDAP requires OpenSSL to be installed. Detailed build instructions for OpenLDAP can be found here, or you can use use [[http://files.opalvoip.org/bin/openldap-2.1.17_bin.zip || these precompiled binaries]]
to:
* [[http://www.openldap.org | OpenLDAP]] - Provides support for the LDAP protocol as used by ILS and other network services. OpenLDAP requires OpenSSL to be installed. Detailed build instructions for OpenLDAP can be found here, or you can use use [[http://files.opalvoip.org/bin/openldap-2.1.17_bin.zip | these precompiled binaries]]
Added lines 102-104:
* [[http://www.libsdl.org | libjpeg]] -  Provides for support for using static JPEG images as video source. Source code and precompiled binaries for Windows x64 [[/bin/jpeg8g_win.zip | are available]]

January 01, 2013, at 12:42 AM by CRS - Add link to Windows 8 SDK download
Changed lines 102-103 from:
* [[http://www.microsoft.com/downloads/en/details.aspx?FamilyId=F26B1AA4-741A-433A-9BE5-FA919850BDBF&displaylang=en | Microsoft Windows Software Development Kit]] - Provides several features such as IPv6, DNS resolver (for the resolution of DNS MX and SRV records), Direct Show video camera support and text-to-speech functions. There are a number of incompatibility issues with an SDK earlier that version 6.1, it can be made to work, but is really hard and could not be automated. It is much easier just to install the later version. For correct operation, the include and lib directories for the SDK should be added to the the Visual Studio directory configuration, as described above, ''before'' the standard MSVC directories.
to:
* For Windows 8 - [[http://msdn.microsoft.com/en-us/windows/hardware/hh852363.aspx|Microsoft Windows Software Development Kit]] - Needed for features such as IPV6 and DNS resolver support.

* For Windows 7 and earlier - [[http://www
.microsoft.com/downloads/en/details.aspx?FamilyId=F26B1AA4-741A-433A-9BE5-FA919850BDBF&displaylang=en | Microsoft Windows Software Development Kit]] - Provides several features such as IPv6, DNS resolver (for the resolution of DNS MX and SRV records), Direct Show video camera support and text-to-speech functions. There are a number of incompatibility issues with an SDK earlier than version 6.1, it can be made to work, but is really hard and could not be automated. It is much easier just to install the later version. For correct operation, the include and lib directories for the SDK should be added to the the Visual Studio directory configuration, as described above, ''before'' the standard MSVC directories.
December 31, 2012, at 11:55 PM by CRS - Tweak bison description to be more readable
Changed lines 62-69 from:
The GNU Bison tool is required to compile PTLib.

GNU flex is not required by most users, but will be necessary if you need to recompile the "asnparser" utility for modifying
the ASN files supplied with OPAL. We provide both tools as it is simpler to provide both together than separately.

Precompiled binaries for bison [[http
://gnuwin32.sourceforge.net/packages/bison.htm|bison]] and [[http://gnuwin32.sourceforge.net/packages/flex.htm|flex]] are available.

Older versions are also available from the [[OldBison|OpalVoip]] site. See this link for more information
.
to:
The GNU Bison tool is required to compile PTLib. We provide an [[OldBison|older precompiled version]] that is known to work.

The latest precompiled binaries for [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] can be used instead, subject to
the following caveats:

* Do *NOT* use the default install directory of "C:\Program Files (x86)\GnuWin32" (or any directory containing spaces) as this will cause problems. We recommend using C
:\Tools instead
* Add the directory C
:\Tools\bin to the PATH environment variable before running Visual Studio

GNU flex is not required by most users
. It is only necessary to recompile the "asnparser" utility for modifying the ASN files supplied with OPAL.
An older version of Flex is provide with the Bison download described above.

The latest [[http://gnuwin32.sourceforge.net/packages/flex.htm|flex]] can be used instead, subject to same bison caveats described above.

July 29, 2011, at 03:06 PM by 115.64.157.126 -
Changed lines 60-61 from:
!!5. Install GNU bison
to:
!!5. Install GNU bison 
Changed lines 66-71 from:
Precompiled versions of these tools [[http://files.opalvoip.org/bin/flexbison.zip|are provided here]] and are installed as follows:

* Unzip the precompiled tools into "C:\". This will create "C:\TOOLS" containing "FLEX.EXE", "BISON.EXE", and "C:\TOOLS\SHARE" containing "BISON.SIMPLE" and "BISON.HAIRY". 

'''IMPORTANT NOTE:''' Don't be tempted to install bison and flex into a directory other than C:\TOOLS. It can be done, but it's not easy and not worth the effort
.
to:
Precompiled binaries for bison [[http://gnuwin32.sourceforge.net/packages/bison.htm|bison]] and [[http://gnuwin32.sourceforge.net/packages/flex.htm|flex]] are available.

Older versions are also available from the [[OldBison|OpalVoip]] site. See this link for more information
.
Added lines 84-85:
For Visual Studio 2010, you must add ''installdir''\PTLIB\LIB to your environment PATH as the above does not exist any more. The exact location for setting this varies on the version of Windows, but generally is it in Control Panel, System, Advanced system settings, Advanced tab, Environment Variables button.
Edit - History - Print - Recent Changes - Search
Page last modified on March 30, 2021, at 04:17 PM